GtkVolumeButton
3
GTK Library

# GtkVolumeButton

A button which pops up a volume control

## Synopsis

    #include <gtk/gtk.h>

                        GtkVolumeButton;
    GtkWidget*          gtk_volume_button_new               (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----GtkScaleButton
                                                 +----GtkVolumeButton

## Implemented Interfaces

GtkVolumeButton implements GtkActivatable, AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

GtkVolumeButton is a subclass of GtkScaleButton that has been tailored for use as a volume control widget with suitable icons, tooltips and accessible labels.

## Details

### GtkVolumeButton

    typedef struct _GtkVolumeButton GtkVolumeButton;

### gtk_volume_button_new ()

    GtkWidget*          gtk_volume_button_new               (void);

Creates a GtkVolumeButton, with a range between 0.0 and 1.0, with a stepping of 0.02. Volume values can be obtained and modified using the functions from GtkScaleButton.

Returns :

  a new GtkVolumeButton

Since 2.12